[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ShortCompareText

Compare 2 shortstrings

## Declaration

Source position: systemh.inc line 1180

`function ShortCompareText(`
`const S1: shortstring;`
`const S2: shortstring`
`):SizeInt;`

## Description

ShortCompareText compares two shortstrings, S1 and S2, and returns the following result:

<0
  if S1<S2.
0
  if S1=S2.
>0
  if S1>S2.

The comparison of the two strings is case-insensitive. The function does not take internationalization settings into account, it simply compares ASCII values.

## Errors

None.

## See also

CompareText |  | Compare 2 ansistrings case insensitive.